import scrapy


class GameSpider(scrapy.Spider):
    name = 'game'
    allowed_domains = ['17173.com']
    start_urls = ['http://top.17173.com/list-0-0-0-0-0-0-0-0-0-0-1.html']

    def parse(self, response):
        game_list = response.xpath('//div[@class="con"]/a/text()').extract()
        rank_list = response.xpath('//div[@class="item-in"]//em/text()').extract()
        for rank, game in zip(rank_list, game_list):
            yield {
                'rank': rank,
                'game': game
            }